: use /bin/sh
#
# SCCS:	@(#)install/scripts/editcfg.sh	4.1 (01/21/97)  VSXgen release 1.4
#
# editcfg.sh: edit config files
#
# Geoff Clare, 23 Nov 1990
#
# This shell script is used to edit config files.  It reads from standard
# input and writes to standard output with lines of the form parameter=value
# changed so that the values are those in the file specified as argument 1.
#
# Modified:
#	Geoff Clare, 3 Jan 1996
#	Split sed command file into two if >= 100 commands

trap "" 1 2 3

if test $# -ne 1
then
	echo >&2 "usage: $0 valuefile"
	exit 1
fi

sedtmp=/tmp/sed.$$
sedtmp1=/tmp/sed1.$$
sedtmp2=/tmp/sed2.$$
sedcmd='sed -f $sedtmp'

rm -f $sedtmp $sedtmp1 $sedtmp2

sed -n '
/^[^#].*=/{
	s:[\\\&]:\\&:g
	s:\([^=]*\)="*\([^"]*\)"*:s?^\1=.*?\1=\2?:
	p
}' "$1" > $sedtmp || exit 1

# some versions of sed have a limit of 100 commands
sed -n "
	1,99w $sedtmp1
	100,\$w $sedtmp2
" $sedtmp > /dev/null || exit 1
if test -s $sedtmp2
then
	sedcmd='sed -f $sedtmp1 | sed -f $sedtmp2'
fi

eval $sedcmd

rm -f $sedtmp $sedtmp1 $sedtmp2
exit 0
