#!/bin/sh
failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=.; export srcdir; \
	list='a8-mask clip-all composite-integer-translate-source composite-integer-translate-over composite-integer-translate-over-repeat create-from-png create-from-png-stream dash-offset-negative filter-nearest-offset get-and-set line-width mask-ctm mask-surface-ctm move-to-show-surface nil-surface paint pixman-rotate scale-source-surface-paint select-font-no-show-text self-intersecting source-clip source-surface-scale-paint surface-pattern text-cache-crash text-rotate translate-show-surface  pthread-show-text ft-font-create-for-ft-face   xlib-surface'; \
	if test -n "$list"; then \
	  for tst in $list; do \
	    if test -f ./$tst; then dir=./; \
	    elif test -f $tst; then dir=; \
	    else dir="./"; fi; \
	    if  ${dir}$tst; then \
	      all=`expr $all + 1`; \
	      case " a8-mask filter-nearest-offset pixman-rotate self-intersecting text-rotate " in \
	      *" $tst "*) \
		xpass=`expr $xpass + 1`; \
		failed=`expr $failed + 1`; \
		echo "XPASS: $tst"; \
	      ;; \
	      *) \
		echo "PASS: $tst"; \
	      ;; \
	      esac; \
	    elif test $? -ne 77; then \
	      all=`expr $all + 1`; \
	      case " a8-mask filter-nearest-offset pixman-rotate self-intersecting text-rotate " in \
	      *" $tst "*) \
		xfail=`expr $xfail + 1`; \
		echo "XFAIL: $tst"; \
	      ;; \
	      *) \
		failed=`expr $failed + 1`; \
		echo "FAIL: $tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $skip + 1`; \
	      echo "SKIP: $tst"; \
	    fi; \
	  done; \
	  if test "$failed" -eq 0; then \
	    if test "$xfail" -eq 0; then \
	      banner="All $all tests passed"; \
	    else \
	      banner="All $all tests behaved as expected ($xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$xpass" -eq 0; then \
	      banner="$failed of $all tests failed"; \
	    else \
	      banner="$failed of $all tests did not behave as expected ($xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$banner"; \
	  skipped=""; \
	  if test "$skip" -ne 0; then \
	    skipped="($skip tests were not run)"; \
	    test `echo "$skipped" | wc -c` -le `echo "$banner" | wc -c` || \
	      dashes="$skipped"; \
	  fi; \
	  report=""; \
	  if test "$failed" -ne 0 && test -n "http://bugs.freedesktop.org/enter_bug.cgi?product=cairo"; then \
	    report="Please report to http://bugs.freedesktop.org/enter_bug.cgi?product=cairo"; \
	    test `echo "$report" | wc -c` -le `echo "$banner" | wc -c` || \
	      dashes="$report"; \
	  fi; \
	  dashes=`echo "$dashes" | sed s/./=/g`; \
	  echo "$dashes"; \
	  echo "$banner"; \
	  test -z "$skipped" || echo "$skipped"; \
	  test -z "$report" || echo "$report"; \
	  echo "$dashes"; \
	  test "$failed" -eq 0; \
	else :; fi
journal="journal.cairo"
if test -n "$list"; then
  rm -f "$journal" 
  for tst in $list; do
    # bug 2735 - now we have seperate journals 
    # for image and xlib, need to collect both
    if [ -f "journal.$tst-image" ];then
      cat "journal.$tst-image" >> "$journal"
      rm -f "journal.$tst-image"
    fi
    if [ -f "journal.$tst-xlib" ];then
      cat "journal.$tst-xlib" >> "$journal"
      rm -f "journal.$tst-xlib"
    fi
    if [ -f "journal.$tst" ];then
      cat "journal.$tst" >> "$journal"
      rm -f "journal.$tst"
    fi
  done
fi
